import"core-js/modules/es6.function.name";/**
 * @license
 * Copyright © 2017-2018 Moov Corporation.  All rights reserved.
 */var _targets=[];/**
 * Configures the PWA to broadcast events to all specified targets.  Once configured, You can all any method on
 * the the default import from this module it will attempt to call a method of the same name on each target.  
 * 
 * Example:
 * 
 *  // src/analytics.js
 * 
 *  import { configureAnalytics } from 'react-storefront/analytics'
 *  import GoogleTagManagerTarget from 'react-storefront-analytics/GoogleTagManagerTarget'
 *  import MerkleSearchTarget from 'react-storefront-analytics/MerkleSearchTarget'
 * 
 *  configureAnalytics(
 *    new GoogleTagManagerTarget({ apiKey: 'my_gtm_api_key' }),
 *    new MerkleSearchTarget({ apiKey: 'my_merkle_api_key' })
 *  )
 * 
 * // then, to broadcast an analytics event to all targets:
 * 
 * import analytics from 'react-storefront/analytics'
 * 
 * analytics.someEvent() // this will call the 'someEvent' method on all configured targets
 * 
 * @param {AnalyticsTarget[]} targets An array of targets to notify when analytics events occur
 * @return {AnalyticsProvider}
 */export function configureAnalytics(){for(var a=arguments.length,b=Array(a),c=0;c<a;c++)b[c]=arguments[c];_targets=b}export function getTargets(){return _targets}/**
 * This module's default export is a single entry point for broadcasting analytics events to all targets configured via `configureAnalytics`.
 * Each target represents a tag manager or other analytics service to which the application should send data.
 * 
 * Example:
 * 
 *  // src/analytics.js
 * 
 *  import { configureAnalytics } from 'react-storefront/analytics'
 *  import GoogleTagManagerTarget from 'react-storefront-analytics/GoogleTagManagerTarget'
 *  import MerkleSearchTarget from 'react-storefront-analytics/MerkleSearchTarget'
 * 
 *  configureAnalytics(
 *    new GoogleTagManagerTarget({ apiKey: 'my_gtm_api_key' }),
 *    new MerkleSearchTarget({ apiKey: 'my_merkle_api_key' })
 *  )
 * 
 */export default new Proxy({setHistory:function a(){}// polyfill for IE11 requires defined fields in Target argument
},{get:function c(a,b){return function(){for(var a=arguments.length,c=Array(a),d=0;d<a;d++)c[d]=arguments[d];for(var e=0;e<_targets.length;e++){var f=_targets[e],g=f[b];g?g.apply(f,c):"string"==typeof b&&console.warn("".concat(f.constructor.name," does not support ").concat(b))}}}});
//# sourceMappingURL=analytics.js.map